Subject: bug#59141: closed (Re: bug#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 26 Jan 2024 07:09:03 +0000

Your bug report

#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59141: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59141
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 26 Jan 2024 09:08:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 25 Jan 2024 22:53:45 +0000
> 
> Kévin Le Gouguec <[email-masked]> writes:
> 
> >> I do not see anything wrong on the Org side.
> >> Maybe Emacs should not apply :extent t attribute to the newline when the
> >> text in fontified line is hidden?
> >
> > IIUC, this is bug#52587?
> >
> > The conclusion there, AFAIR, was "it's unfortunate, but that's the
> > design for now; let's rediscuss when we see some patches for outline.el
> > (or the specific modes that use extended backgrounds)".
> 
> I fixed the problem on Org side in bug#65896.
> I think that this bug report and maybe even bug#52587 can be closed.
> Unless it is still of interest to develop some solution on Emacs side.

Thanks, I'm closing both of those bugs.

Subject: 28.1.90; Face :extend when all the line but trailing \n is invisible
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Wed, 09 Nov 2022 02:24:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

We recently got the following bug report in Org
https://list.orgmode.org/[email-masked]/T/#u

0. Run `emacs -Q`

1. Create a buffer with this content and ensure `org-mode` is on
------------------------------------------------------------
* One
#+begin_src emacs-lisp
#+end_src
* Two
#+begin_src emacs-lisp
#+end_src
------------------------------------------------------------

2. Change the face `org-block-end-line` to have an extended background on the end-line of the
org-block

(set-face-attribute
   'org-block-end-line nil
   :extend t
   :background "#4e5079")

4. Go to "One" and press tab

5. Notice how the background colour now appears next to "One".

I do not see anything wrong on the Org side.
Maybe Emacs should not apply :extent t attribute to the newline when the
text in fontified line is hidden?

In GNU Emacs 28.1.90 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.34, cairo version 1.16.0)
 of 2022-07-17 built on localhost
Repository revision: f5218385c064aa959650bfe49ca32795270851eb
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Gentoo Linux

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>